Subject: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Dec 2012 11:28:20 -0500

> The attached patch fixes the issue by sneaking a Ctrl-M in to the try
> try completion field.

That looks ugly and I don't find the ^M to be very intuitive.

Basically there are 2 options:
- Let "" be anywhere in the {...} list rather than only at the beginning.
  This would seem inconvenient if it's not compensated by some other
  "Complete, but not unique" marker.  Your ^M is one such option.
  We could also keep an empty () (or []), which is fairly logical and
  might be vaguely intuitive.
- Force "" to be at the beginning and have minibuffer-force-complete
  skip the empty completion, so the user would have to hit RET rather
  than C-j to select the exact text he typed.

        Stefan